
#import <Foundation/Foundation.h>

@interface NSObject(TestExample)
- (void) run;
@end

int main (int argc, const char *argv[])
{
    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];
    NSUserDefaults* defaults = [NSUserDefaults standardUserDefaults];
	[defaults registerDefaults:[NSDictionary dictionaryWithObjectsAndKeys:
		@"FlowMonitor", @"interceptor", nil]];
    NSString* className = [defaults stringForKey:@"class"];
	NSString* interceptorClassName = [defaults stringForKey:@"interceptor"];
	Class interceptorClass = interceptorClassName? NSClassFromString(interceptorClassName) : nil;
	id interceptor = nil;
	if(interceptorClass)
		interceptor = [[interceptorClass alloc]init]; // start interceptor test
    id test = [[NSClassFromString(className) alloc]init];
    [test run];
    [test release];
	[interceptor release];
    [pool release];
    exit(0);       // insure the process exit status is 0
    return 0;      // ...and make main fit the ANSI spec.
}

// Running:
// ORBTest -class <class> -ORBidl <path>