#! /bin/sh

# The framework ADORB.framework must be copied to /Library/Frameworks or ~/Library/Frameworks
# for this example to run
# A symbolic link to existing ADORB.framework can be added instead.

port=${1:-15600}

echo Using port $port 

# Start Naming Service
# Comment next two lines or run orbd manually

if ! ps -eax | grep '[o]rbd'
then
orbd -ORBInitialPort $port &
sleep 5
fi

./ValueTestServer -ORBNamingURL corbaloc:iiop:1.2@localhost:$port -ORBidl value.idl -ORBAllowsUndefinedKeys YES &
# Let it start up
sleep 1
./ValueTestClient -ORBNamingURL corbaloc:iiop:1.2@localhost:$port -ORBidl value.idl -ior vtest.ref -ORBAllowsUndefinedKeys YES