//
//  ValueView.h
//  IDLExplorer
//
//  Copyright (c) 2003 Victor Ananiev. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>


@interface ValueView : NSView 
{
    id delegate;
@private
    id _object;
}

- (void) setObject:anObject;
- (void) setObjectValue:anObject;
- object;
- (void) setDelegate:anObject;
- delegate;
- (void) highlight;
@end

@interface NSObject(ValueView_Delegate)
- (BOOL) acceptDraggedObjects:(NSArray*)array;
- (void) logErrorMessage:(NSString*)message;
@end
